Package kiyut.sketsa.canvas

## Class CanvasException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - kiyut.sketsa.canvas.CanvasException

- All Implemented Interfaces:
    `Serializable`

      public class CanvasException
      extends RuntimeException

  Base class for CanvasException
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CanvasException()` | Constructs a new CanvasException exception with null as its detail message.
    `CanvasException​(String msg)` | Constructs a new runtime exception with the specified detail message.
    `CanvasException​(String msg, Throwable cause)` | Constructs a new runtime exception with the specified detail message and cause.
    `CanvasException​(Throwable cause)` | Constructs a new runtime exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CanvasException

          public CanvasException()

      Constructs a new CanvasException exception with null as its detail message.

    - #### CanvasException

          public CanvasException​(String msg)

      Constructs a new runtime exception with the specified detail message.
      Parameters:
        `msg` -

    - #### CanvasException

          public CanvasException​(String msg,
                                 Throwable cause)

      Constructs a new runtime exception with the specified detail message and cause.
      Parameters:
        `msg` -
        `cause` -

    - #### CanvasException

          public CanvasException​(Throwable cause)

      Constructs a new runtime exception with the specified detail message and cause.
      Parameters:
        `cause` -